Bug 1417410 - [abrt] gsmartcontrol: std::__throw_out_of_range_fmt(): gsmartcontrol killed by SIGABRT
Summary: [abrt] gsmartcontrol: std::__throw_out_of_range_fmt(): gsmartcontrol killed b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gsmartcontrol
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aaaa5b6e287713b8ed6369a50d2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 23:25 UTC by Allan Poulsen
Modified: 2017-06-09 18:55 UTC (History)
2 users (show)

Fixed In Version: gsmartcontrol-0.9.0-1.fc25 gsmartcontrol-0.9.0-1.el7 gsmartcontrol-0.9.0-1.el6 gsmartcontrol-0.9.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 00:39:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (57.11 KB, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details
File: core_backtrace (7.92 KB, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details
File: dso_list (8.03 KB, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details
File: environ (273 bytes, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details
File: maps (43.55 KB, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details
File: mountinfo (4.33 KB, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details
File: open_fds (366 bytes, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details
File: var_log_messages (259 bytes, text/plain)
2017-01-28 23:25 UTC, Allan Poulsen
no flags Details

Description Allan Poulsen 2017-01-28 23:25:08 UTC
Version-Release number of selected component:
gsmartcontrol-0.8.7-10.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gsmartcontrol
crash_function: std::__throw_out_of_range_fmt
executable:     /usr/sbin/gsmartcontrol
global_pid:     8909
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 std::__throw_out_of_range_fmt at ../../../../../libstdc++-v3/src/c++11/functexcept.cc:104
 #7 std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::_M_check at /usr/include/c++/6.2.1/bits/basic_string.h:262
 #8 std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::substr at /usr/include/c++/6.2.1/bits/basic_string.h:2385
 #9 SmartctlParser::parse_full at smartctl_parser.cpp:214
 #10 StorageDevice::parse_basic_data[abi:cxx11](bool, bool) at storage_device.cpp:266
 #11 StorageDevice::fetch_basic_data_and_parse[abi:cxx11](hz::intrusive_ptr<CmdexSync, hz::IntrusivePtrRefFunctionsDefault<CmdexSync> >) at storage_device.cpp:186
 #13 (anonymous namespace)::detect_drives_linux_proc_partitions at storage_detector_linux.cpp:437
 #14 detect_drives_linux[abi:cxx11](std::vector<hz::intrusive_ptr<StorageDevice, hz::IntrusivePtrRefFunctionsDefault<StorageDevice> >, std::allocator<hz::intrusive_ptr<StorageDevice, hz::IntrusivePtrRefFunctionsDefault<StorageDevice> > > >&, hz::intrusive_ptr<ExecutorFactory, hz::IntrusivePtrRefFunctionsDefault<ExecutorFactory> >) at storage_detector_linux.cpp:820
 #15 StorageDetector::detect[abi:cxx11](std::vector<hz::intrusive_ptr<StorageDevice, hz::IntrusivePtrRefFunctionsDefault<StorageDevice> >, std::allocator<hz::intrusive_ptr<StorageDevice, hz::IntrusivePtrRefFunctionsDefault<StorageDevice> > > >&, hz::intrusive_ptr<ExecutorFactory, hz::IntrusivePtrRefFunctionsDefault<ExecutorFactory> >) at storage_detector.cpp:40
 #16 StorageDetector::detect_and_fetch_basic_data[abi:cxx11](std::vector<hz::intrusive_ptr<StorageDevice, hz::IntrusivePtrRefFunctionsDefault<StorageDevice> >, std::allocator<hz::intrusive_ptr<StorageDevice, hz::IntrusivePtrRefFunctionsDefault<StorageDevice> > > >&, hz::intrusive_ptr<ExecutorFactory, hz::IntrusivePtrRefFunctionsDefault<ExecutorFactory> >) at storage_detector.cpp:150

Comment 1 Allan Poulsen 2017-01-28 23:25:14 UTC
Created attachment 1245445 [details]
File: backtrace

Comment 2 Allan Poulsen 2017-01-28 23:25:15 UTC
Created attachment 1245446 [details]
File: cgroup

Comment 3 Allan Poulsen 2017-01-28 23:25:17 UTC
Created attachment 1245447 [details]
File: core_backtrace

Comment 4 Allan Poulsen 2017-01-28 23:25:18 UTC
Created attachment 1245448 [details]
File: dso_list

Comment 5 Allan Poulsen 2017-01-28 23:25:19 UTC
Created attachment 1245449 [details]
File: environ

Comment 6 Allan Poulsen 2017-01-28 23:25:20 UTC
Created attachment 1245450 [details]
File: limits

Comment 7 Allan Poulsen 2017-01-28 23:25:22 UTC
Created attachment 1245451 [details]
File: maps

Comment 8 Allan Poulsen 2017-01-28 23:25:24 UTC
Created attachment 1245452 [details]
File: mountinfo

Comment 9 Allan Poulsen 2017-01-28 23:25:25 UTC
Created attachment 1245453 [details]
File: namespaces

Comment 10 Allan Poulsen 2017-01-28 23:25:26 UTC
Created attachment 1245454 [details]
File: open_fds

Comment 11 Allan Poulsen 2017-01-28 23:25:27 UTC
Created attachment 1245455 [details]
File: proc_pid_status

Comment 12 Allan Poulsen 2017-01-28 23:25:28 UTC
Created attachment 1245456 [details]
File: var_log_messages

Comment 13 Fedora Update System 2017-05-12 04:24:27 UTC
gsmartcontrol-0.9.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7245895212

Comment 14 Fedora Update System 2017-05-12 04:24:42 UTC
gsmartcontrol-0.9.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1894e9ef52

Comment 15 Fedora Update System 2017-05-12 04:24:52 UTC
gsmartcontrol-0.9.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f256a902e

Comment 16 Fedora Update System 2017-05-12 04:25:01 UTC
gsmartcontrol-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4182f3d50d

Comment 17 Fedora Update System 2017-05-12 19:53:11 UTC
gsmartcontrol-0.9.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1894e9ef52

Comment 18 Fedora Update System 2017-05-12 19:57:09 UTC
gsmartcontrol-0.9.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7245895212

Comment 19 Fedora Update System 2017-05-13 01:13:14 UTC
gsmartcontrol-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4182f3d50d

Comment 20 Fedora Update System 2017-05-15 06:34:21 UTC
gsmartcontrol-0.9.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f256a902e

Comment 21 Fedora Update System 2017-05-23 00:39:12 UTC
gsmartcontrol-0.9.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-05-27 23:26:06 UTC
gsmartcontrol-0.9.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-05-28 06:49:25 UTC
gsmartcontrol-0.9.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-06-09 18:55:51 UTC
gsmartcontrol-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.